Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.SSL
Class CertPathTrustManager

    java.lang.Object
      weblogic.security.SSL.CertPathTrustManager

All Implemented Interfaces:
  TrustManager

public final class CertPathTrustManager
extends Object
implements TrustManager

A CertPathTrustManager that makes use of the configured CertPathValidation providers to perform extra validation; for example, revocation checking.

By default, application code using outbound SSL in the server has access only to the built-in SSL certificate validation. However, application code can specify the CertPathTrustManager in order to access any additional certificate validation that the administrator has configured for the server.

There are three ways to use this class:

1. The trust manager calls configured CertPathValidators only if the administrator has set a switch on the SSLMBean stating that outbound SSL should use the validators. That is, the application completely delegate validation to whatever the administrator configures. This is the default.

2. The trust manager always calls any configured CertPathValidators.

3. The trust manager never calls any configured CertPathValidators.

For more information, see the sections that describe certification paths in "Developing Security Providers for WebLogic Server" and "Programming WebLogic Security" on http://edocs.bea.com.

See Also:
  `SSLContext`, `Environment`, `HttpsURLConnection`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.security.SSL.TrustManager
`ERR_CERT_CHAIN_INCOMPLETE, ERR_CERT_CHAIN_INVALID, ERR_CERT_CHAIN_UNTRUSTED, ERR_CERT_EXPIRED, ERR_NONE, ERR_SIGNATURE_INVALID`

Constructor Summary
`CertPathTrustManager()` Construct a CertPathTrustManager.

Method Summary
`void` | `setBuiltinSSLValidationAndCertPathValidators()` Configure this trust manager to always use the CertPathValidators configured in the realm.
`void` | `setBuiltinSSLValidationOnly()` Configure this trust manager to never use the CertPathValidators configured in the realm.
`void` | `setUseConfiguredSSLValidation()` Configure this trust manager to use the validation rules the administrator configured for SSL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertPathTrustManager

    public CertPathTrustManager()

  Construct a CertPathTrustManager.

  By default, this trust manager uses the same rules for outbound SSL that the administrator has configured for the server.

Method Detail

### setBuiltinSSLValidationAndCertPathValidators

    public void setBuiltinSSLValidationAndCertPathValidators()

  Configure this trust manager to always use the CertPathValidators configured in the realm.

### setBuiltinSSLValidationOnly

    public void setBuiltinSSLValidationOnly()

  Configure this trust manager to never use the CertPathValidators configured in the realm.

### setUseConfiguredSSLValidation

    public void setUseConfiguredSSLValidation()

  Configure this trust manager to use the validation rules the administrator configured for SSL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD